/***** individual.c ***********************************************
 * Description: 
 * Author: Bernhard Haubold, bernhard.haubold@fh-weihenstephan.de
 * File created on Sun Sep 25 14:13:07 2005.
 *
 * This file is part of drawGenealogy.
 *
 *   drawWrightFisher is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   drawGenealogy is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with drawGenealogy; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *****************************************************************/
#include <stdlib.h>
#include <gsl/gsl_rng.h>
#include <gsl/gsl_randist.h>
#include "interface.h"
#include "eprintf.h"
#include "drawGenealogy.h"

Indiv *getIndiv(gsl_rng *ranf, Args *args, int generation, int pos){
  Indiv *indiv;
  int i;

  indiv = (Indiv *)emalloc(sizeof(Indiv));
  if(gsl_rng_uniform(ranf) < 0.5)
    indiv->isMale = 1;
  else
    indiv->isMale = 0;
  indiv->generation = generation;
  indiv->pos = pos;
  indiv->ancestor1 = indiv->ancestor2 = NULL;
  indiv->isUa = indiv->isNonUa = indiv->isMrca = 0;
  indiv->gene1 = (Gene *)emalloc(sizeof(Gene));
  indiv->gene2 = (Gene *)emalloc(sizeof(Gene));
  indiv->gene1->ancestor =  indiv->gene2->ancestor = NULL;
  indiv->gene1->id = 0;
  indiv->gene2->id = 1;
  indiv->gene1->generation = generation;
  indiv->gene1->pos = pos;
  indiv->gene2->generation = generation;
  indiv->gene2->pos = pos;
  indiv->descendants = (char *)emalloc(args->p*sizeof(char));
  
  for(i=0;i<args->p;i++)
    indiv->descendants[i] = 0;

  return indiv;
}
