/***** interface.h ************************************************
 * Description: Header file for user interface.
 * Author: Bernhard Haubold, bernhard.haubold@fh-weihenstephan.de
 * File created on Sun Jun 20 13:07:28 2004.
 *****************************************************************/

/* define argument container */
typedef struct args{
  int p;        /* population size */
  int n;        /* sample size */
  int g;        /* generations */
  int s;        /* seed of random number generator */
  int c;        /* computation only */
  int C;        /* color code individuals */
  int d;        /* draw individuals */
  int D;        /* draw genes */
  int i;        /* individual */
  short m;      /* show most recent common ancestor? */
  char *a;      /* ancestral lineages */
  short h;      /* help message? */
  short e;      /* error message? */
  char *o;      /* output file */
  char *t;      /* test file */
} Args;
 
Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
